%define pkg     libevent
%define ver     2.0.21
%define maj     %(echo %{ver} | cut -d'.' -f1)
%define min     %(echo %{ver} | cut -d'.' -f2)
%define pkg_str %{pkg}%{maj}%{min}


Summary:        An event notification library
Name:           %{pkg_str}
Version:        %{ver}
Release:        1%{?dist}%{?pext}
License:        BSD
Group:          System Environment/Libraries
Source0:        http://github.com/downloads/%{pkg}/%{pkg}/%{pkg}-%{ver}-stable.tar.gz
URL:            http://%{pkg}.org/
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:         Nick Mathewson <nickm@alum.mit.edu>
BuildRequires:  openssl-devel

%description
Libevent provides an API to execute a callback function when a specific event
occurs on a file descriptor or after a timeout has been reached. Furthermore,
it also support callbacks due to signals or regular timeouts. It is meant to
replace the event loop found in any event driven network servers. Currently,
it supports /dev/poll, kqueue, event ports, select, poll and epoll.


%package        devel
Summary:        Development tools for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       openssl-devel pkgconfig
Conflicts:      %{pkg}-devel < %{version}-%{release}

%description    devel
The %{name}-devel package contains the libraries and header files for
developing software using %{name}.


%package        static
Summary:        Static libraries for %{name}
Group:          Development/Libraries
Requires:       %{name}-devel = %{version}-%{release}
Conflicts:      %{pkg}-devel < %{version}-%{release}
Conflicts:      %{pkg}-static < %{version}-%{release}

%description    static
The %{name}-static package contains the statically linkable libraries for
%{name}.


%prep
%setup -q -n %{pkg}-%{ver}-stable


%build
%configure \
	--enable-static \
	--enable-shared

%{__make} %{?_smp_mflags}


%check
%{__make} check


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_bindir}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

# Cleanup
%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/lib*.so.?


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc ChangeLog LICENSE README whatsnew-%{maj}.%{min}.txt
%{_libdir}/%{pkg}-%{maj}.%{min}.so.*
%{_libdir}/%{pkg}_core-%{maj}.%{min}.so.*
%{_libdir}/%{pkg}_extra-%{maj}.%{min}.so.*
%{_libdir}/%{pkg}_openssl-%{maj}.%{min}.so.*
%{_libdir}/%{pkg}_pthreads-%{maj}.%{min}.so.*

%files devel
%defattr(-,root,root)
%doc --parents sample/*.c
%{_bindir}/event_rpcgen.py*
%{_includedir}/evdns.h
%{_includedir}/event.h
%{_includedir}/evhttp.h
%{_includedir}/evrpc.h
%{_includedir}/evutil.h
%{_includedir}/event2
%{_libdir}/%{pkg}.la
%{_libdir}/%{pkg}.so
%{_libdir}/%{pkg}_core.la
%{_libdir}/%{pkg}_core.so
%{_libdir}/%{pkg}_extra.la
%{_libdir}/%{pkg}_extra.so
%{_libdir}/%{pkg}_openssl.la
%{_libdir}/%{pkg}_openssl.so
%{_libdir}/%{pkg}_pthreads.la
%{_libdir}/%{pkg}_pthreads.so
%{_libdir}/pkgconfig/%{pkg}.pc
%{_libdir}/pkgconfig/%{pkg}_openssl.pc
%{_libdir}/pkgconfig/%{pkg}_pthreads.pc

%files static
%defattr(-,root,root)
%{_libdir}/%{pkg}.a
%{_libdir}/%{pkg}_core.a
%{_libdir}/%{pkg}_extra.a
%{_libdir}/%{pkg}_openssl.a
%{_libdir}/%{pkg}_pthreads.a


%changelog
* Thu May 20 2014 Peter Pramberger <peterpramb@member.fsf.org> - 2.0.21-1
- Initial build
